import 'package:abyssesportwebsite/domain/feature/players/entities/players.dart';

class PlayersController {
  PlayersController();

  List<Players> allPlayers = [
    Players(
      id: 1,
      jeu: 'Valorant',
      age: 19,
      country: 'FR',
      pseudo: 'MattewSama',
      role: 'Capitaine',
      isStaff: true,
      roleStaff: 'co-fondateur',
    ),
    Players(
      id: 2,
      jeu: 'Valorant',
      age: 20,
      country: 'FR',
      pseudo: 'Ghost',
      role: 'Joueur',
      isStaff: true,
      roleStaff: 'co-fondateur',
    ),
    Players(
      id: 3,
      jeu: 'Valorant',
      age: 21,
      country: 'FR',
      pseudo: 'Vozenito',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 4,
      jeu: 'Valorant',
      age: 18,
      country: 'BE',
      pseudo: 'Frozz',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 5,
      jeu: 'Valorant',
      age: 19,
      country: 'FR',
      pseudo: 'hxlBoy',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 6,
      jeu: 'Valorant',
      age: 19,
      country: 'FR',
      pseudo: 'Aironne',
      role: 'Manager',
      isStaff: true,
      roleStaff: 'Co-fondateur / Manager',
    ),
    Players(
      id: 7,
      jeu: 'Rocket League',
      age: 19,
      country: 'FR',
      pseudo: 'Kaydop',
      role: 'Capitaine',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 8,
      jeu: 'Rocket League',
      age: 20,
      country: 'FR',
      pseudo: 'Fairy Peak',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 9,
      jeu: 'Rocket League',
      age: 21,
      country: 'FR',
      pseudo: 'Alpha54',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 10,
      jeu: 'Rocket League',
      age: 19,
      country: 'BE',
      pseudo: 'Mout',
      role: 'Manager',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 11,
      jeu: 'League of legends',
      age: 19,
      country: 'FR',
      pseudo: 'Joueur 1',
      role: 'Capitaine',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 12,
      jeu: 'League of legends',
      age: 20,
      country: 'FR',
      pseudo: 'Joueur 2',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 13,
      jeu: 'League of legends',
      age: 21,
      country: 'FR',
      pseudo: 'Joueur 3',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 14,
      jeu: 'League of legends',
      age: 19,
      country: 'BE',
      pseudo: 'Joueur 4',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 15,
      jeu: 'League of legends',
      age: 19,
      country: 'BE',
      pseudo: 'Joueur 5',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 16,
      jeu: 'League of legends',
      age: 19,
      country: 'BE',
      pseudo: 'Coach 1',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
    Players(
      id: 17,
      jeu: 'League of legends',
      age: 19,
      country: 'BE',
      pseudo: 'Manager 1',
      role: 'Joueur',
      isStaff: false,
      roleStaff: null,
    ),
  ];
}
